This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1262127 - Better diagnostic message when virbr0 doesn't exist
Better diagnostic message when virbr0 doesn't exist
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-10 17:18 EDT by Richard W.M. Jones
Modified: 2015-09-11 07:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-11 07:01:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2015-09-10 17:18:53 EDT
Description of problem:

If virbr0 (or whatever LIBGUESTFS_BACKEND_SETTINGS=network_bridge=...
points to) doesn't exist, then when we start libvirt we get a
pretty useless error:

  virt-builder: error: libguestfs error: could not create appliance through 
  libvirt.

  Try running qemu directly without libvirt using this environment variable:
  export LIBGUESTFS_BACKEND=direct

  Original error from libvirt: Cannot get interface MTU on 'virbr0': No such 
  device [code=38 domain=0]

We could avoid this error entirely by checking if the network
exists before starting libvirt.

Version-Release number of selected component (if applicable):

libguestfs from git

How reproducible:

100%

Steps to Reproduce:

$ LIBGUESTFS_BACKEND=libvirt \
  LIBGUESTFS_BACKEND_SETTINGS=network_bridge=nosuchnetwork \
  guestfish --network run
libguestfs: error: could not create appliance through libvirt.

Try running qemu directly without libvirt using this environment variable:
export LIBGUESTFS_BACKEND=direct

Original error from libvirt: failed to retrieve file descriptor for interface: Transport endpoint is not connected [code=38 domain=10]
Comment 2 Richard W.M. Jones 2015-09-10 18:07:28 EDT
Patch posted:
https://www.redhat.com/archives/libguestfs/2015-September/msg00042.html
Comment 3 Richard W.M. Jones 2015-09-11 07:01:26 EDT
Fixed upstream in libguestfs >= 1.31.6.

Note You need to log in before you can comment on or make changes to this bug.